module Od
  module Payments
    module Customer
      def self.create(params)
        Stripe::Customer.create(params)
      rescue Stripe::StripeError => e
        raise Od::Payments::OdPaymentsError, e.error.message
      end

      def self.show(id)
        Stripe::Customer.retrieve(id)
      rescue Stripe::StripeError => e
        raise Od::Payments::OdPaymentsError, e.error.message
      end
    end
  end
end
